# coding: utf-8
import os.path
import sys

from setuptools import setup, find_packages

sys.path.append(
    os.path.abspath(
        os.path.join(
            os.path.dirname(__file__),
            'src',
        )
    )
)

from educommon.utils.build import BuildWriter


def main():
    build = BuildWriter('.')
    if build.tag is None:
        print 'Can''t determine build version'
        return

    requirements = []
    for line in file('requirements.txt', 'r'):
        line.strip()
        if line and not line.startswith('#'):
            requirements.append(line)

    setup(
        name='educommon',
        author="BARS Group",
        description='Общая кодовая база для проектов БЦ Образование',
        url='https://stash.bars-open.ru/projects/EDUBASE/repos/educommon',
        version=build.version,
        package_dir={'': 'src'},
        packages=find_packages('src'),
        install_requires=requirements,
        include_package_data=True,
    )


if __name__ == '__main__':
    main()
